---
# Configuration file specifying system details for running an analysis pipeline
# These pipeline apply generally across multiple projects. Adjust them in sample
# specific configuration files when needed.

# -- Base setup

# Define resources to be used for individual programs on multicore machines.
# These can be defined specifically for memory and processor availability.
# - memory: Specify usage for memory intensive programs. The indicated value
#           specifies the wanted *per core* usage.
# - cores: Define cores that can be used for multicore programs. The indicated
#          value is the maximum cores that should be allocated for a program.
# - jvm_opts: specify details
resources:
  # default options, used if other items below are not present
  # avoids needing to configure/adjust for every program
  default:
    memory: 3G
    cores: 16
    jvm_opts: ["-Xms750m", "-Xmx3500m"]
  gatk:
    jvm_opts: ["-Xms500m", "-Xmx3500m"]
  snpeff:
    jvm_opts: ["-Xms750m", "-Xmx3g"]
  qualimap:
    memory: 4g
  express:
    memory: 8g
  dexseq:
    memory: 10g
  macs2:
    memory: 8g
  seqcluster:
    memory: 8g

# Location of galaxy configuration file, which has pointers to reference data
# https://bcbio-nextgen.readthedocs.org/en/latest/contents/configuration.html#reference-genome-files
galaxy_config: universe_wsgi.ini


# -- Additional options for specific integration, not required for standalone usage.

# Galaxy integration. Required for retrieving information from Galaxy LIMS.
#galaxy_url: http://your/galaxy/url
#galaxy_api_key: your_galaxy_api_key

# Details for hooking automated processing to a sequencer machine.
# Not required if running standalone pipelines.
# analysis:
#   # Can specify a different remote host to initiate
#   # the copy from. This is useful for NFS shared filesystems
#   # where you want to manage the copy from the base machine.
#   copy_user:
#   copy_host:
#   store_dir: /store4/solexadata
#   base_dir: /array0/projects/Sequencing
#   worker_program: nextgen_analysis_server.py
